View Issue Details

IDProjectCategoryView StatusLast Update
0006173Talermerchant backend API (HTTP specification)public2020-05-30 12:58
ReporterChristian Grothoff Assigned ToChristian Grothoff  
PriorityhighSeverityfeatureReproducibilityN/A
Status resolvedResolutionfixed 
Platformi7OSDebian GNU/LinuxOS Versionsqueeze
Product Versiongit (master) 
Target Version0.8Fixed in Version0.8 
Summary0006173: tip-pickup should talk to the exchange
DescriptionThe tip-pickup should sign with the reserve-priv and forward the envelope to the exchange, reducing the need for the wallet to do it.

That way, we KNOW that the tip-pickup succeeded (and can update our state on failures!) instead of needing to inquire via reserve status. Also, it reduces bandwidth consumption by the wallet.
TagsNo tags attached.

Activities

Christian Grothoff

2020-04-12 20:52

manager   ~0015630

Implemented, specified and tested as of merchant 9e94110..c548a40.

Christian Grothoff

2020-04-12 20:55

manager   ~0015631

Reopening: persisting of the exchange's reply in the database was not yet implemented.

Christian Grothoff

2020-05-30 12:58

manager   ~0015985

Implemented in protocolV1 branch now.

Issue History

Date Modified Username Field Change
2020-04-10 22:15 Christian Grothoff New Issue
2020-04-10 22:15 Christian Grothoff Status new => assigned
2020-04-10 22:15 Christian Grothoff Assigned To => Christian Grothoff
2020-04-12 20:52 Christian Grothoff Status assigned => resolved
2020-04-12 20:52 Christian Grothoff Resolution open => fixed
2020-04-12 20:52 Christian Grothoff Fixed in Version => 0.7.1
2020-04-12 20:52 Christian Grothoff Note Added: 0015630
2020-04-12 20:55 Christian Grothoff Status resolved => assigned
2020-04-12 20:55 Christian Grothoff Note Added: 0015631
2020-04-13 21:37 Christian Grothoff Fixed in Version 0.7.1 => 0.8
2020-04-13 21:37 Christian Grothoff Target Version 0.7.1 => 0.8
2020-05-30 12:58 Christian Grothoff Status assigned => resolved
2020-05-30 12:58 Christian Grothoff Note Added: 0015985